org.apache.cassandra.cql3

## Class AbstractMarker.INRaw

- java.lang.Object
- - org.apache.cassandra.cql3.AbstractMarker.Raw
  - - org.apache.cassandra.cql3.AbstractMarker.INRaw

All Implemented Interfaces:
  AssignmentTestable, Term.Raw

Enclosing class:
  AbstractMarker

    public static class AbstractMarker.INRaw
    extends AbstractMarker.Raw

A raw placeholder for multiple values of the same type for a single column. For example, "SELECT ... WHERE user_id IN ?'. Because a single type is used, a List is used to represent the values.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

`AssignmentTestable.TestResult`

### Field Summary

### Fields inherited from class org.apache.cassandra.cql3.AbstractMarker.Raw

`bindIndex`

### Constructor Summary

Constructors
Constructor and Description
`INRaw(int bindIndex)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AbstractMarker` `prepare(java.lang.String keyspace, ColumnSpecification receiver)` This method validates this RawTerm is valid for provided column specification and "prepare" this RawTerm, returning the resulting prepared Term.

### Methods inherited from class org.apache.cassandra.cql3.AbstractMarker.Raw

`testAssignment, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### INRaw

    public INRaw(int bindIndex)

### Method Detail

#### prepare

    public AbstractMarker prepare(java.lang.String keyspace,
                                  ColumnSpecification receiver)
                           throws InvalidRequestException

Description copied from interface: `Term.Raw`
This method validates this RawTerm is valid for provided column specification and "prepare" this RawTerm, returning the resulting prepared Term.

Specified by:
  `prepare` in interface `Term.Raw`
Overrides:
  `prepare` in class `AbstractMarker.Raw`
  `receiver` - the "column" this RawTerm is supposed to be a value of. Note that the ColumnSpecification may not correspond to a real column in the case this RawTerm describe a list index or a map key, etc...
Returns:
  the prepared term.
Throws:
  `InvalidRequestException`